[arch-commits] Commit in joe/repos (extra-x86_64 extra-x86_64/PKGBUILD)

Eric Bélanger eric at archlinux.org
Sat Nov 7 23:18:39 EST 2009


    Date: Saturday, November 7, 2009 @ 23:18:38
  Author: eric
Revision: 58450

Merged revisions 58449 via svnmerge from 
svn+ssh://gerolde.archlinux.org/srv/svn-packages/joe/trunk

........
  r58449 | eric | 2009-11-07 23:18:20 -0500 (Sat, 07 Nov 2009) | 2 lines
  
  upgpkg: joe 3.7-2
      Updated backup array (close FS#12713)
........

Modified:
  joe/repos/extra-x86_64/	(properties)
  joe/repos/extra-x86_64/PKGBUILD

----------+
 PKGBUILD |   62 +++++++++----------------------------------------------------
 1 file changed, 10 insertions(+), 52 deletions(-)


Property changes on: joe/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /joe/trunk:1-20293
   + /joe/trunk:1-58449

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-11-08 04:18:20 UTC (rev 58449)
+++ extra-x86_64/PKGBUILD	2009-11-08 04:18:38 UTC (rev 58450)
@@ -1,66 +1,24 @@
 # $Id$
 # Maintainer: dorphell <dorphell at archlinux.org>
 # Contributor: Tom Newsom <Jeepster at gmx.co.uk>
+
 pkgname=joe
 pkgver=3.7
-pkgrel=1
+pkgrel=2
 pkgdesc="JOE has the feel of most IBM PC text editors"
+arch=('i686' 'x86_64')
 url="http://sourceforge.net/projects/joe-editor"
-arch=(i686 x86_64)
 license=('GPL')
 depends=('glibc' 'ncurses' 'gpm')
+backup=('etc/joe/ftyperc' 'etc/joe/jicerc.ru' 'etc/joe/jmacsrc' \
+        'etc/joe/joerc' 'etc/joe/jpicorc' 'etc/joe/jstarrc' 'etc/joe/rjoerc')
 source=(http://downloads.sourceforge.net/joe-editor/$pkgname-$pkgver.tar.gz)
-backup=( etc/joe/ftyperc
-         etc/joe/jicerc.ru
-         etc/joe/jmacsrc
-         etc/joe/joerc
-         etc/joe/jpicorc
-         etc/joe/jstarrc
-         etc/joe/rjoerc
-         etc/joe/syntax/4gl.jsf
-         etc/joe/syntax/ada.jsf
-         etc/joe/syntax/asm.jsf
-         etc/joe/syntax/awk.jsf
-         etc/joe/syntax/c.jsf
-         etc/joe/syntax/cobol.jsf
-         etc/joe/syntax/conf.jsf
-         etc/joe/syntax/csh.jsf
-         etc/joe/syntax/css.jsf
-         etc/joe/syntax/diff.jsf
-         etc/joe/syntax/fortran.jsf
-         etc/joe/syntax/haskell.jsf
-         etc/joe/syntax/html.jsf
-         etc/joe/syntax/java.jsf
-         etc/joe/syntax/joerc.jsf
-         etc/joe/syntax/lisp.jsf
-         etc/joe/syntax/lua.jsf
-         etc/joe/syntax/m4.jsf
-         etc/joe/syntax/mail.jsf
-         etc/joe/syntax/mason.jsf
-         etc/joe/syntax/ocaml.jsf
-         etc/joe/syntax/pascal.jsf
-         etc/joe/syntax/perl.jsf
-         etc/joe/syntax/php.jsf
-         etc/joe/syntax/ps.jsf
-         etc/joe/syntax/python.jsf
-         etc/joe/syntax/rexx.jsf
-         etc/joe/syntax/ruby.jsf
-         etc/joe/syntax/sed.jsf
-         etc/joe/syntax/sh.jsf
-         etc/joe/syntax/skill.jsf
-         etc/joe/syntax/sml.jsf
-         etc/joe/syntax/sql.jsf
-         etc/joe/syntax/tcl.jsf
-         etc/joe/syntax/tex.jsf
-         etc/joe/syntax/troff.jsf
-         etc/joe/syntax/verilog.jsf
-         etc/joe/syntax/vhdl.jsf
-         etc/joe/syntax/xml.jsf)
+md5sums=('66de1b073e869ba12abbfcde3885c577')
+sha1sums=('54398578886d4a3d325aece52c308a939d31101d')
 
 build() {
-  cd $startdir/src/$pkgname-$pkgver
-  ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man
+  cd "$srcdir/$pkgname-$pkgver"
+  ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man || return 1
   make || return 1
-  make DESTDIR=$startdir/pkg install
+  make DESTDIR="$pkgdir" install || return 1
 }
-md5sums=('66de1b073e869ba12abbfcde3885c577')



More information about the arch-commits mailing list